Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 21 Nov 2022 07:47:04 -0700

On 11/20/22 7:46 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   io_uring/net.c
> 
> between commit:
> 
>   91482864768a ("io_uring: fix multishot accept request leaks")
> 
> from Linus' tree and commits:
> 
>   01661287389d ("io_uring: revert "io_uring fix multishot accept ordering"")
>   6488182c989a ("io_uring: remove allow_overflow parameter")
> 
> from the block tree.
> 
> I fixed it up (I just used the latter version where they conflicted) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

I fixed up the 6.2 io_uring branch and for-next, so you should not be
seeing this one again.

-- 
Jens Axboe